+++
title = "Projects"
id = "projects"
+++

Over the years I have worked on and contributed to various projects in the Android community. I am currently a project maintainer for [Android Password Store](https://github.com/zeapo/Android-Password-Store). My personal projects can be found on [GitHub](https://github.com/msfjarvis),
some of the prominent ones are:

- [Viscerion](https://github.com/msfjarvis/viscerion): Android client for the WireGuard™️  VPN protocol. Built with Android Jetpack and Kotlin.
- [floating-action-button](https://github.com/msfjarvis/floating-action-button): Android library for drawing expandable Floating Action Buttons that conform to the material spec. Fully written in Kotlin and used in production in Hyperion launcher.
- [Caesium Kernel for the OnePlus 3/3T](https://github.com/msfjarvis/oneplus3): A custom kernel for the OnePlus 3/3T, designed to be lean, quick and efficient while
  staying up-to-date with kernel.org linux-stable releases.
- [Caesium Kernel for the Pixel 2/2XL](https://github.com/msfjarvis/wahoo): A custom kernel for the Google Pixel 2/2XL with similar principles.

I've also developed a recent infatuation with [Docker](https://docker.com), and developed the following images for various usecases of mine

- [docker-zulu-jdk](https://github.com/msfjarvis/docker-zulu-jdk): Packaging of [Zulu](https://www.azul.com/downloads/zulu/), a OpenJDK release channel of tested and verified builds under the latest Ubuntu and Alpine Linux distributions.
- [drone-decrypt-files](https://github.com/msfjarvis/drone-decrypt-files): A simple plugin for [Drone CI](https://drone.io) that allows storing encrypted blobs in the VCS repository for CI to decrypt into usable artifacts like signing keys.
